<?php
if (!defined('_DIR_PLUGIN_EVAINSTALL')){
	$p=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(dirname(__FILE__)))));
	define('_DIR_PLUGIN_EVAINSTALL',(_DIR_PLUGINS.end($p)));
}

	include_spip('base/db_mysql');
	include_spip('base/abstract_sql');
  	include_spip('inc/presentation');
  	#include_spip('action/eva_mentions_modif');  

function exec_eva_install() {
 
	$icone = _DIR_PLUGIN_EVAINSTALL."img_pack/petite_eva3.png";
	
echo debut_page(_T('evainstall:eva_titre'));	 
   echo "<br />";
   echo gros_titre(_T('evainstall:gros_titre_page'));
   
debut_gauche();
	debut_boite_info();
	echo '<img src="'._DIR_PLUGIN_EVAINSTALL.'img_pack/eva3.png" border="0" alt="eva-web"><br/>Gestion des mentions légales<br/>Gestion des mots-clés';
	echo '<br/><br/>';
  	echo _T('evainstall:siteoff1');
	echo _T('evainstall:lienoff1');
fin_boite_info();


debut_droite();
###gestion des mentions légales#############
debut_cadre_enfonce('', false, '', _T('evainstall:eva_mentions'));          

$base_mentions = spip_abstract_select('*', 'eva_mentions');
$row_mentions = spip_fetch_array($base_mentions);

if (!isset($row_mentions)){
echo _T('evainstall:Création de la table eva_mentions');
echo '<form method="post" action="'.generer_url_ecrire("eva_install").'">';
echo '<input type="submit" name ="creertable" value="Créer la table" class="fondo">';
echo '</form>';
	if (_request('creertable')!=NULL){	
	creer_mentions();
	echo '<br>Cr&eacute;ation de la table termin&eacute;e';}
}
#return generer_url_ecrire("eva_install");
	lister_mentions();

fin_cadre_enfonce();


debut_cadre_enfonce('', false, '', _T('evainstall:Liste des groupes EVA'));
	lister_groupes();

###stockage, affichage des id des groupes#############
	
	$table_grp = 'spip_groupes_mots';
	$champ_grp = 'titre';
   $requete_act = "SELECT id_groupe FROM ".$table_grp." WHERE  titre='activites' LIMIT 1";
   $requete_aff = "SELECT id_groupe FROM ".$table_grp." WHERE  titre='affichage' LIMIT 1";
   $resultat_act = spip_query($requete_act);
   $resultat_aff = spip_query($requete_aff);   
   $nb_act = spip_num_rows($resultat_act);
   $nb_aff = spip_num_rows($resultat_aff);


	if ($nb_act == 0){
	echo _T('evainstall:groupe_act_non');
	echo '<form method="POST" action="'.generer_url_ecrire("eva_install").'">';
	echo "<input type='submit' name='creeract' value='"._T('evainstall:creer_groupe_act')."' class='fondo'>";
	echo "</form>";
		if (_request('creeract')!=NULL){
			crea_groupe('activites','Permet de transformer un article en une activit&eacute;');
			 $requete_act2 = "SELECT id_groupe FROM ".$table_grp." WHERE  titre='activites' LIMIT 1";
			 $resultat_act2 = spip_query($requete_act2);
				while ($tab_act = spip_fetch_array($resultat_act2)){
					$id = $tab_act['id_groupe'];	
				}
				$id_act=$id;		
		    crea_mots2 ($id,'activites');
      }
	}

	if ($nb_aff == 0){
	echo _T('evainstall:groupe_aff_non');
	echo '<form method="POST" action="'.generer_url_ecrire("eva_install").'">';
	echo "<input type='submit' name='creeraff' value='"._T('evainstall:creer_groupe_aff')."' class='fondo'>";
	echo "</form>";
	echo "<br>";	
		if (_request('creeraff')!=NULL){	
			crea_groupe('affichage','Modifie la pr&eacute;sentation du contenu');
			 $requete_aff2 = "SELECT id_groupe FROM ".$table_grp." WHERE  titre='affichage' LIMIT 1";
			 $resultat_aff2 = spip_query($requete_aff2);
				while ($tab_aff = spip_fetch_array($resultat_aff2)){
					$id = $tab_aff['id_groupe'];	
				}
				$id_aff=$id;		
		    crea_mots2 ($id,'affichage');	
    }
	}

fin_cadre_enfonce();

debut_cadre_enfonce('', false, '', _T('evainstall:Liste_mots_activites'));
	lister_mots ('activites');
fin_cadre_enfonce();

debut_cadre_enfonce('', false, '', _T('evainstall:Liste_mots_affichage'));
	lister_mots ('affichage');
fin_cadre_enfonce();


echo fin_gauche();
echo fin_page();
}		
##################################################################################
#############################
function crea_groupe($groupe,$descriptif){
	$ajoutgrp = "INSERT INTO spip_groupes_mots (titre,descriptif,unseul,obligatoire,articles,breves,rubriques,syndic,minirezo,comite,forum) VALUES ('".$groupe."','".$descriptif."','non','non','oui','oui','oui','oui','oui','oui','non')";
	$resultatgrp = spip_query($ajoutgrp);
	echo '<br>Le groupe '.$groupe.' vient d\'être créé<br>';
}
####################
function lister_groupes() {

	$table = 'spip_groupes_mots';
	$champ = 'titre';
   $requete = "SELECT * FROM ".$table." WHERE titre='activites' OR titre='affichage'";
   $resultat1 = spip_query($requete);
   $nombre = spip_num_rows($resultat1);
	
	if ($nombre < 1) {
	echo _T('evainstall:pas_groupe');
	fin();
	}else
	echo "Il existe ".$nombre." groupes de mot-cl&eacute; EVA :</br>";
	
	for($i=0;$i<$nombre;$i+1)
    {
		   while ($row = spip_fetch_array($resultat1))
	    {

	echo '<p>';
	echo _T('evainstall:groupe_titre').$row["titre"].'<br/>';
	echo _T('evainstall:groupe_num').$row["id_groupe"].'<br/>';
	echo _T('evainstall:groupe_descriptif').$row["descriptif"].'<br/>';
	echo '<a href=?exec=mots_type&id_groupe='.$row["id_groupe"].' class="fondo">Modifier ce groupe</a>';
	echo '</p>';

	    }
	    $i++;
	}
}
####################
function crea_mots ($id_act, $id_aff){
$des_activites = array("Transforme un article en activité jclic", 
	"Article servant de couverture au livre",
	"Transforme un article en activité de géométrie dynamique",
	"Transforme un article en activité de géométrie dynamique",	
	"Transforme une rubrique et tous les articles quelle contient en livre-album");

$des_affichage = array("Permet d'afficher un article en haut de liste dans un cadre différent",
	"Permet d'afficher un article en haut de liste dans un cadre différent en permanence dans la page d'accueil",
	"Permet d'afficher le logo d'un site référencé dans un bloc dans la page d 'accueil",
	"Permet d'afficher le logo d'un site référencé dans le pied de page de la page d'accueil",
	"Transforme les images jointes à un article en portfolio");

$grp_activites = array("jclic","couverture-livre","geonext","podcast","livre");
$grp_affichage = array("article1","editorial","logo-bloc","logo-pied","portfolio","agenda","lien-haut","mentions");

$grp2_activites = array("jclic" => "Transforme un article en activité jclic", 
	"livre" => "Article servant de couverture au livre",
	"geometrie" => "Transforme un article en activité de géométrie dynamique",
	"album" => "Transforme une rubrique et tous les articles quelle contient en livre-album");

$grp2_affichage = array("article1" => "Permet d'afficher un article en haut de liste dans un cadre différent",
	"editorial" => "Permet d'afficher un article en haut de liste dans un cadre différent en permanence dans la page d'accueil",
	"logo-bloc" => "Permet d'afficher le logo d'un site référencé dans un bloc dans la page d 'accueil",
	"logo-pied" => "Permet d'afficher le logo d'un site référencé dans le pied de page de la page d'accueil",
	"portfolio" => "Transforme les images jointes à un article en portfolio");

$nbrgrpact = count($grp_activites);
$nbrgrpaff = count($grp_affichage);

echo "<br/>-----------------------------------<br/>";
echo "<br/>Nombre de mots-cl&eacute;s dans le groupe activit&eacute;s : ".$nbrgrpact."<br/>";
echo "<br/>Nombre de mots-cl&eacute;s dans le groupe affichage : ".$nbrgrpaff."<br/>";

	$requete_act = "SELECT titre FROM spip_mots WHERE titre='".$grp_activites[$i]."'";
	$resultat_req = spip_query($requete_act);
  $nb_req1 = spip_num_rows($resultat_req);
    
  if ($nb_req1 == 0){
    foreach ($grp2_activites as $motcle_act => $descriptifmot_act) {
      echo 'Création des mots-clés<br/>';
      echo "Mot clé : $motcle_act => Descriptif : $descriptifmot_act<br>";
      $ajout_mot_act = "INSERT INTO spip_mots (titre,descriptif,id_groupe,type,idx) VALUES ('".$motcle_act."','".$descriptifmot_act."','".$id_act."','activites','oui')";
      $resultat_act = spip_query($ajout_mot_act);
    }
  }else {
   	echo $motcle_act.' existe déjà<br>';
   	echo 'teste si id_groupe et type correspondent<br>';
   	$modif_act = "UPDATE spip_mots SET id_groupe='".$id_act."', type='activites' WHERE titre='".$motcle_act."', descriptif='".$descriptifmot_act."'";
		$req_modif_act = spip_query($modif_act);
   	}

	$requete_aff = "SELECT titre FROM spip_mots WHERE titre='".$grp_affichage[$i]."'";
	$resultat_req2 = spip_query($requete_aff);
  $nb_req2 = spip_num_rows($resultat_req2);
   	
	if ($nb_req2 == 0){  
    foreach ($grp2_affichage as $motcle_aff => $descriptifmot_aff) {
      echo "Mot clé : $motcle_aff => Descriptif : $descriptifmot_aff<br>";
      $ajout_mot_aff = "INSERT INTO spip_mots (titre,descriptif,id_groupe,type,idx) VALUES ('".$motcle_aff."','".$descriptifmot_aff."','".$id_aff."','affichage','oui')";
      $resultat_aff = spip_query($ajout_mot_aff);
    }
  }else {
   	echo $grp_affichage[$i].' existe déjà<br>';
   	echo 'teste si id_groupe et type correspondent<br>';
   	$modif_aff = "UPDATE spip_mots SET id_groupe='".$id_aff."', type='affichage' WHERE titre='".$motcle_aff."', descriptif='".$descriptifmot_aff."'";
		$req_modif_aff = spip_query($modif_aff);
   	}

}
####################
function crea_mots2 ($id,$groupe){
#echo 'Dans la fonction, id = '.$id.'<br/>';

$des_activites = array("Transforme un article en activité jclic", 
	"Article servant de couverture au livre",
	"Transforme un article en activité de géométrie dynamique",
	"Transforme un article en activité de géométrie dynamique",	
	"Transforme une rubrique et tous les articles quelle contient en livre-album");

$des_affichage = array("Permet d'afficher un article en haut de liste dans un cadre différent",
	"Permet d'afficher un article en haut de liste dans un cadre différent en permanence dans la page d'accueil",
	"Permet d'afficher le logo d'un site référencé dans un bloc dans la page d 'accueil",
	"Permet d'afficher le logo d'un site référencé dans le pied de page de la page d'accueil",
	"Transforme les images jointes à un article en portfolio");

$grp_activites = array("jclic","couverture-livre","geonext","podcast","livre");
$grp_affichage = array("article1","editorial","logo-bloc","logo-pied","portfolio","agenda","lien-haut","mentions");

$grp2_activites = array("jclic" => "Transforme un article en activité jclic", 
	"livre" => "Transforme une rubrique en livre",
	"couverture-livre" => "Article servant de couverture au livre",	
	"geometrie" => "Transforme un article en activité de géométrie dynamique",
	"album" => "Transforme une rubrique et tous les articles quelle contient en livre-album");

$grp2_affichage = array("article1" => "Affiche un article en haut de liste dans un cadre différent",
	"editorial" => "Afficher un article en haut de liste dans un cadre différent en permanence dans la page d\'accueil",
	"logo-bloc" => "Afficher le logo d\'un site référencé dans un bloc dans la page d\'accueil",
	"logo-pied" => "Afficher le logo d\'un site référencé dans le pied de page de la page d\'accueil",
	"portfolio" => "Transforme les images jointes à un article en portfolio");

$nbrgrpact = count($grp2_activites);
$nbrgrpaff = count($grp2_affichage);

#echo "<br/>-----------------------------------<br/>";

#echo "Valeur de id du groupe =".$id."<br/>";
echo 'Création des mots-clés du groupe '.$groupe.'<br/>';

$requete_act = "SELECT titre FROM spip_mots WHERE titre='".$grp_activites[$i]."'";
$resultat_req = spip_query($requete_act);
$nb_req1 = spip_num_rows($resultat_req);
    
  if ($nb_req1 == 0 && $groupe == 'activites'){
	echo "<br/>Nombre de mots-cl&eacute;s dans le groupe activit&eacute;s : ".$nbrgrpact."<br/>";

    foreach ($grp2_activites as $motcle_act => $descriptifmot_act) {
      #echo "Mot clé : $motcle_act => Descriptif : $descriptifmot_act<br>";
      $ajout_mot_act = "INSERT INTO spip_mots (titre,descriptif,id_groupe,type,idx) VALUES ('".$motcle_act."','".$descriptifmot_act."','".$id."','activites','oui')";
      $resultat_act = spip_query($ajout_mot_act);
    }
    
  }else {
   	echo $motcle_act.' existe déjà<br>';
   	echo 'S\il appartient à un autre (ou aucun) groupe, je le déplace dans le groupe activites<br>';
   	$modif_act = "UPDATE spip_mots SET id_groupe='".$id."', type='activites' WHERE titre='".$motcle_act."', descriptif='".$descriptifmot_act."'";
		$req_modif_act = spip_query($modif_act);
   	}

$requete_aff = "SELECT titre FROM spip_mots WHERE titre='".$grp_affichage[$i]."'";
$resultat_req2 = spip_query($requete_aff);
$nb_req2 = spip_num_rows($resultat_req2);
   	
	if ($nb_req2 == 0 && $groupe == 'affichage'){  
	echo "<br/>Nombre de mots-cl&eacute;s dans le groupe affichage : ".$nbrgrpaff."<br/>";	
   
    foreach ($grp2_affichage as $motcle_aff => $descriptifmot_aff) {   
      #echo "Mot clé : $motcle_aff => Descriptif : $descriptifmot_aff<br>";
      $ajout_mot_aff = "INSERT INTO spip_mots (titre,descriptif,id_groupe,type,idx) VALUES ('".$motcle_aff."','".$descriptifmot_aff."','".$id."','affichage','oui')";
      $resultat_aff = spip_query($ajout_mot_aff);
    }
  }else {
   	echo $grp_affichage[$i].' existe déjà<br>';
   	echo 'S\il appartient à un autre (ou aucun) groupe, je le déplace dans le groupe affichage<br>';
   	$modif_aff = "UPDATE spip_mots SET id_groupe='".$id."', type='affichage' WHERE titre='".$motcle_aff."', descriptif='".$descriptifmot_aff."'";
		$req_modif_aff = spip_query($modif_aff);
   	}

		

}
####################
function lister_mots($groupe) {

	$champ2 = 'titre';
   $requete2 = "SELECT * FROM spip_mots WHERE type='".$groupe."'";
   $resultat2 = spip_query($requete2);
   $nombre2 = spip_num_rows($resultat2);
	
	if ($nombre2 == 0) {
	echo _T('evainstall:pas_mots_cle');
	fin();
	}else{
	echo "Voici les ".$nombre2." mots-cl&eacute;s du groupe ".$groupe." :</br>";
	
	for($i=0;$i<$nombre2;$i++){
		while ($row = spip_fetch_array($resultat2)){
			echo '<p>';
			echo _T('evainstall:groupe_titre').$row["titre"].'<br/>';
			echo _T('evainstall:groupe_descriptif').$row["descriptif"].'<br/>';
			echo '<a href=?exec=mots_edit&id_mot='.$row["id_mot"].' class="fondo">Modifier ce mot</a>';
			echo '</p>';
	    }
	    $i++;
	}
}
}
####################
function creer_mentions(){
   
    $requete_creertable ='CREATE TABLE IF NOT EXISTS eva_mentions
    (id_mentions INTEGER NOT NULL AUTO_INCREMENT,
    eva_dir_pub TEXT NOT NULL, 
    eva_resp_redac TEXT NOT NULL,
    eva_heb_site TEXT NOT NULL,
    eva_edit_site TEXT NOT NULL,
    eva_ref_charte TEXT NOT NULL,
    PRIMARY KEY (id_mentions)
    )';
    
   $evadirpub = '';
	$evarespredac = '';    
	$evahebsite = '';
	$evaeditsite = '';
	$evarefcharte = '';
    
    $resultat_creertable = spip_query($requete_creertable);
    $enregistrement1 = "INSERT INTO eva_mentions VALUE ('','A DEFINIR','A DEFINIR','NOM DE L\'ECOLE','EdRes74','A DEFINIR')";
    $resultat = spip_query($enregistrement1);
    
    $nb = spip_num_rows($resultat);

	if ($nb == 0){
	echo _T('evainstall:la table eva_mentions existe');	}

	return generer_url_ecrire("eva_install");
}
####################
function lister_mentions() {

	$table_mentions = 'eva_mentions';
	$champ = 'id_mentions';
   $requete_mentions = "SELECT * FROM ".$table_mentions;
   $resultat_mentions = spip_query($requete_mentions);
   $nombre_mentions = spip_num_rows($resultat_mentions);
	
	if ($nombre_mentions < 1) {
	echo _T('evainstall:pas_groupe');
	fin();
	}else
	
	for($i=0;$i<$nombre_mentions;$i+1)
   {
		   while ($row_mentions= spip_fetch_array($resultat_mentions))
	    {
	echo '<form method="post" action="'.generer_url_ecrire("eva_install").'">';
	echo '<p>';
	echo _T('evainstall:dir_pub');
	echo "<input type='text' name='dir' value='".$row_mentions["eva_dir_pub"]."'/><br />";
	
	echo _T('evainstall:resp_redac');
	echo "<input type='text' name='resp' value='".$row_mentions["eva_resp_redac"]."'/><br />";

	echo _T('evainstall:heb_site');
	echo "<input type='text' name='heb' value='".$row_mentions["eva_heb_site"]."'/><br />";	

	echo _T('evainstall:edit_site');
	echo "<input type='text' name='edit' value='".$row_mentions["eva_edit_site"]."'/><br />";
	
	echo _T('evainstall:ref_charte');		
	echo "<input type='text' name='ref' value='".$row_mentions["eva_ref_charte"]."'/><br /><br />";	
	
#	echo "<a href='", generer_url_ecrire('eva_install_modif','.$row_mentions["id_mentions"].'), "' class="fondo">Editer les donn&eacute;es</a>'";
#	echo "<a href='", generer_url_ecrire('eva_install_modif',"idmentions=".$row_mentions['id_mentions']),"' class='fondo'>";
#   echo 'Modifier ces données';
#	echo '</a></br>';
#	echo "<a href='", generer_url_ecrire('eva_install_modif','modif_mentions($nombre_mentions,$resultat_mentions)'),"' class='fondo'>";
#   echo 'Modifier';
#	echo '</a>';

	echo '<input type="submit" name ="modifmentions" value="Modifier les mentions" class="fondo">';
	echo '</form>';

	$dir = $_POST['dir'];
	$resp = $_POST['resp'];
	$heb = $_POST['heb'];
	$edit = $_POST['edit'];
	$ref = $_POST['ref'];
	
		if (_request('modifmentions')!=NULL){

		#modif_mentions($row_mentions);
		$rq_modif_mentions = "UPDATE eva_mentions SET eva_dir_pub='".$dir."',
		 eva_resp_redac='".$resp."',
		 eva_heb_site='".$heb."',
		 eva_edit_site='".$edit."',
		 eva_ref_charte='".$ref."'
		 	WHERE id_mentions='1'";
		 	
		$resultat_modif_mentions = spip_query($rq_modif_mentions);
		
				echo '<br>Modification de la table termin&eacute;e 1';

	    }
	    }
	    $i++;
	}	
							

}
####################

function fin() {

}
?>
	